summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 5fcc3887..05e2fa2b 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -527,7 +527,7 @@ EOF
for n in private_network public_network storage_network api_network; do
if [[ $enabled_network_list =~ $n ]]; then
echo -n "$n "
- virsh attach-interface --domain baremetal${i} --type network --source $n --model rtl8139 --config
+ virsh attach-interface --domain baremetal${i} --type network --source $n --model virtio --config
fi
done
else
@@ -1001,6 +1001,22 @@ if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
fi
EOI
+ # Configure DPDK
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI || (echo "DPDK config failed, exiting..."; exit 1)
+source stackrc
+set -o errexit
+for node in \$(nova list | grep novacompute | grep -Eo "[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+"); do
+echo "Running DPDK test app on \$node"
+ssh -T ${SSH_OPTIONS[@]} "heat-admin@\$node" <<EOF
+set -o errexit
+sudo dpdk_helloworld --no-pci
+sudo dpdk_nic_bind -s
+EOF
+done
+EOI
+ fi
+
if [ "$debug" == 'TRUE' ]; then
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source overcloudrc